package net.t2code.t2codelib.BUNGEE.system.config;

import net.md_5.bungee.config.ConfigurationProvider;
import net.t2code.t2codelib.BUNGEE.system.T2CodeBMain;
import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.YamlConfiguration;
import net.t2code.t2codelib.T2CconfigItem;

import java.io.File;
import java.io.IOException;

public class ConvertT2CBlibConfig {

    public static  Configuration configuration;

    public static void convert() throws IOException {
        File config = new File(T2CodeBMain.getPlugin().getDataFolder(), "config.yml");
         configuration = ConfigurationProvider.getProvider(YamlConfiguration.class).load(config);

        if (!config.exists()) return;
        if (configuration.contains("plugin.updateCheck.onJoin")) return;

        set("UpdateCheck.TimerInMin",T2CBlibConfig.VALUES.updateTimer);
        set("UpdateCheck.SeePreReleaseUpdates",T2CBlibConfig.VALUES.seePreReleaseUpdates);
        set("API.CommandGUI.Enable",T2CBlibConfig.VALUES.apiCommandGUIEnable);
        set("API.AutoResponse.Enable",T2CBlibConfig.VALUES.apiAutoResponse);
        set("API.OPSecurity.Enable",T2CBlibConfig.VALUES.apiOpSecurity);

        config.delete();
    }

    private static void set(String path, T2CconfigItem item){
        if (configuration.contains(path)){
            item.setValue(configuration.get(path));
        }
    }
}
